"use strict";
var tslib_1 = require("tslib");
var await_async_query_1 = tslib_1.__importDefault(require("./rules/await-async-query"));
var await_async_utils_1 = tslib_1.__importDefault(require("./rules/await-async-utils"));
var await_fire_event_1 = tslib_1.__importDefault(require("./rules/await-fire-event"));
var consistent_data_testid_1 = tslib_1.__importDefault(require("./rules/consistent-data-testid"));
var no_await_sync_query_1 = tslib_1.__importDefault(require("./rules/no-await-sync-query"));
var no_debug_1 = tslib_1.__importDefault(require("./rules/no-debug"));
var no_dom_import_1 = tslib_1.__importDefault(require("./rules/no-dom-import"));
var no_manual_cleanup_1 = tslib_1.__importDefault(require("./rules/no-manual-cleanup"));
var no_wait_for_empty_callback_1 = tslib_1.__importDefault(require("./rules/no-wait-for-empty-callback"));
var prefer_explicit_assert_1 = tslib_1.__importDefault(require("./rules/prefer-explicit-assert"));
var prefer_presence_queries_1 = tslib_1.__importDefault(require("./rules/prefer-presence-queries"));
var prefer_screen_queries_1 = tslib_1.__importDefault(require("./rules/prefer-screen-queries"));
var prefer_wait_for_1 = tslib_1.__importDefault(require("./rules/prefer-wait-for"));
var rules = {
    'await-async-query': await_async_query_1.default,
    'await-async-utils': await_async_utils_1.default,
    'await-fire-event': await_fire_event_1.default,
    'consistent-data-testid': consistent_data_testid_1.default,
    'no-await-sync-query': no_await_sync_query_1.default,
    'no-debug': no_debug_1.default,
    'no-dom-import': no_dom_import_1.default,
    'no-manual-cleanup': no_manual_cleanup_1.default,
    'no-wait-for-empty-callback': no_wait_for_empty_callback_1.default,
    'prefer-explicit-assert': prefer_explicit_assert_1.default,
    'prefer-presence-queries': prefer_presence_queries_1.default,
    'prefer-screen-queries': prefer_screen_queries_1.default,
    'prefer-wait-for': prefer_wait_for_1.default,
};
var recommendedRules = {
    'testing-library/await-async-query': 'error',
    'testing-library/await-async-utils': 'error',
    'testing-library/no-await-sync-query': 'error',
};
module.exports = {
    rules: rules,
    configs: {
        recommended: {
            plugins: ['testing-library'],
            rules: recommendedRules,
        },
        angular: {
            plugins: ['testing-library'],
            rules: tslib_1.__assign(tslib_1.__assign({}, recommendedRules), { 'testing-library/no-debug': 'warn', 'testing-library/no-dom-import': ['error', 'angular'] }),
        },
        react: {
            plugins: ['testing-library'],
            rules: tslib_1.__assign(tslib_1.__assign({}, recommendedRules), { 'testing-library/no-debug': 'warn', 'testing-library/no-dom-import': ['error', 'react'] }),
        },
        vue: {
            plugins: ['testing-library'],
            rules: tslib_1.__assign(tslib_1.__assign({}, recommendedRules), { 'testing-library/await-fire-event': 'error', 'testing-library/no-debug': 'warn', 'testing-library/no-dom-import': ['error', 'vue'] }),
        },
    },
};
